Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network153.0.0.0/14
Usable hosts262,142
Subnet mask255.252.0.0
Addresses262,144
Network address
153.0.0.0
Broadcast address
153.3.255.255
First usable
153.0.0.1
Last usable
153.3.255.254
Usable hosts
262,142 (262,144 less the network and broadcast addresses)
Subnet mask
255.252.0.0
Wildcard mask
0.3.255.255 (Cisco ACLs, OSPF)
Prefix length
/14
Type
Public public
Old class
B (default /16)
As numbers
Hex 99000000 · Integer 2566914048 to 2567176191
Reverse DNS zones
0.153.in-addr.arpa
1.153.in-addr.arpa
2.153.in-addr.arpa
3.153.in-addr.arpa
/14 is not on a 8-bit boundary, so it takes 4 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address10011001.00000000.00000000.00000000153.0.0.0
Subnet mask11111111.11111100.00000000.00000000255.252.0.0
Network10011001.00000000.00000000.00000000153.0.0.0
Broadcast10011001.00000011.11111111.11111111153.3.255.255
Split into smaller subnets/24

153.0.0.0/14 makes 1,024 subnets of /24; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1153.0.0.0/24153.0.0.1 to 153.0.0.254153.0.0.255254
2153.0.1.0/24153.0.1.1 to 153.0.1.254153.0.1.255254
3153.0.2.0/24153.0.2.1 to 153.0.2.254153.0.2.255254
4153.0.3.0/24153.0.3.1 to 153.0.3.254153.0.3.255254
5153.0.4.0/24153.0.4.1 to 153.0.4.254153.0.4.255254
6153.0.5.0/24153.0.5.1 to 153.0.5.254153.0.5.255254
7153.0.6.0/24153.0.6.1 to 153.0.6.254153.0.6.255254
8153.0.7.0/24153.0.7.1 to 153.0.7.254153.0.7.255254
9153.0.8.0/24153.0.8.1 to 153.0.8.254153.0.8.255254
10153.0.9.0/24153.0.9.1 to 153.0.9.254153.0.9.255254
11153.0.10.0/24153.0.10.1 to 153.0.10.254153.0.10.255254
12153.0.11.0/24153.0.11.1 to 153.0.11.254153.0.11.255254
13153.0.12.0/24153.0.12.1 to 153.0.12.254153.0.12.255254
14153.0.13.0/24153.0.13.1 to 153.0.13.254153.0.13.255254
15153.0.14.0/24153.0.14.1 to 153.0.14.254153.0.14.255254
16153.0.15.0/24153.0.15.1 to 153.0.15.254153.0.15.255254
17153.0.16.0/24153.0.16.1 to 153.0.16.254153.0.16.255254
18153.0.17.0/24153.0.17.1 to 153.0.17.254153.0.17.255254
19153.0.18.0/24153.0.18.1 to 153.0.18.254153.0.18.255254
20153.0.19.0/24153.0.19.1 to 153.0.19.254153.0.19.255254
21153.0.20.0/24153.0.20.1 to 153.0.20.254153.0.20.255254
22153.0.21.0/24153.0.21.1 to 153.0.21.254153.0.21.255254
23153.0.22.0/24153.0.22.1 to 153.0.22.254153.0.22.255254
24153.0.23.0/24153.0.23.1 to 153.0.23.254153.0.23.255254
25153.0.24.0/24153.0.24.1 to 153.0.24.254153.0.24.255254
26153.0.25.0/24153.0.25.1 to 153.0.25.254153.0.25.255254
27153.0.26.0/24153.0.26.1 to 153.0.26.254153.0.26.255254
28153.0.27.0/24153.0.27.1 to 153.0.27.254153.0.27.255254
29153.0.28.0/24153.0.28.1 to 153.0.28.254153.0.28.255254
30153.0.29.0/24153.0.29.1 to 153.0.29.254153.0.29.255254
31153.0.30.0/24153.0.30.1 to 153.0.30.254153.0.30.255254
32153.0.31.0/24153.0.31.1 to 153.0.31.254153.0.31.255254
33153.0.32.0/24153.0.32.1 to 153.0.32.254153.0.32.255254
34153.0.33.0/24153.0.33.1 to 153.0.33.254153.0.33.255254
35153.0.34.0/24153.0.34.1 to 153.0.34.254153.0.34.255254
36153.0.35.0/24153.0.35.1 to 153.0.35.254153.0.35.255254
37153.0.36.0/24153.0.36.1 to 153.0.36.254153.0.36.255254
38153.0.37.0/24153.0.37.1 to 153.0.37.254153.0.37.255254
39153.0.38.0/24153.0.38.1 to 153.0.38.254153.0.38.255254
40153.0.39.0/24153.0.39.1 to 153.0.39.254153.0.39.255254
41153.0.40.0/24153.0.40.1 to 153.0.40.254153.0.40.255254
42153.0.41.0/24153.0.41.1 to 153.0.41.254153.0.41.255254
43153.0.42.0/24153.0.42.1 to 153.0.42.254153.0.42.255254
44153.0.43.0/24153.0.43.1 to 153.0.43.254153.0.43.255254
45153.0.44.0/24153.0.44.1 to 153.0.44.254153.0.44.255254
46153.0.45.0/24153.0.45.1 to 153.0.45.254153.0.45.255254
47153.0.46.0/24153.0.46.1 to 153.0.46.254153.0.46.255254
48153.0.47.0/24153.0.47.1 to 153.0.47.254153.0.47.255254
49153.0.48.0/24153.0.48.1 to 153.0.48.254153.0.48.255254
50153.0.49.0/24153.0.49.1 to 153.0.49.254153.0.49.255254
51153.0.50.0/24153.0.50.1 to 153.0.50.254153.0.50.255254
52153.0.51.0/24153.0.51.1 to 153.0.51.254153.0.51.255254
53153.0.52.0/24153.0.52.1 to 153.0.52.254153.0.52.255254
54153.0.53.0/24153.0.53.1 to 153.0.53.254153.0.53.255254
55153.0.54.0/24153.0.54.1 to 153.0.54.254153.0.54.255254
56153.0.55.0/24153.0.55.1 to 153.0.55.254153.0.55.255254
57153.0.56.0/24153.0.56.1 to 153.0.56.254153.0.56.255254
58153.0.57.0/24153.0.57.1 to 153.0.57.254153.0.57.255254
59153.0.58.0/24153.0.58.1 to 153.0.58.254153.0.58.255254
60153.0.59.0/24153.0.59.1 to 153.0.59.254153.0.59.255254
61153.0.60.0/24153.0.60.1 to 153.0.60.254153.0.60.255254
62153.0.61.0/24153.0.61.1 to 153.0.61.254153.0.61.255254
63153.0.62.0/24153.0.62.1 to 153.0.62.254153.0.62.255254
64153.0.63.0/24153.0.63.1 to 153.0.63.254153.0.63.255254
65153.0.64.0/24153.0.64.1 to 153.0.64.254153.0.64.255254
66153.0.65.0/24153.0.65.1 to 153.0.65.254153.0.65.255254
67153.0.66.0/24153.0.66.1 to 153.0.66.254153.0.66.255254
68153.0.67.0/24153.0.67.1 to 153.0.67.254153.0.67.255254
69153.0.68.0/24153.0.68.1 to 153.0.68.254153.0.68.255254
70153.0.69.0/24153.0.69.1 to 153.0.69.254153.0.69.255254
71153.0.70.0/24153.0.70.1 to 153.0.70.254153.0.70.255254
72153.0.71.0/24153.0.71.1 to 153.0.71.254153.0.71.255254
73153.0.72.0/24153.0.72.1 to 153.0.72.254153.0.72.255254
74153.0.73.0/24153.0.73.1 to 153.0.73.254153.0.73.255254
75153.0.74.0/24153.0.74.1 to 153.0.74.254153.0.74.255254
76153.0.75.0/24153.0.75.1 to 153.0.75.254153.0.75.255254
77153.0.76.0/24153.0.76.1 to 153.0.76.254153.0.76.255254
78153.0.77.0/24153.0.77.1 to 153.0.77.254153.0.77.255254
79153.0.78.0/24153.0.78.1 to 153.0.78.254153.0.78.255254
80153.0.79.0/24153.0.79.1 to 153.0.79.254153.0.79.255254
81153.0.80.0/24153.0.80.1 to 153.0.80.254153.0.80.255254
82153.0.81.0/24153.0.81.1 to 153.0.81.254153.0.81.255254
83153.0.82.0/24153.0.82.1 to 153.0.82.254153.0.82.255254
84153.0.83.0/24153.0.83.1 to 153.0.83.254153.0.83.255254
85153.0.84.0/24153.0.84.1 to 153.0.84.254153.0.84.255254
86153.0.85.0/24153.0.85.1 to 153.0.85.254153.0.85.255254
87153.0.86.0/24153.0.86.1 to 153.0.86.254153.0.86.255254
88153.0.87.0/24153.0.87.1 to 153.0.87.254153.0.87.255254
89153.0.88.0/24153.0.88.1 to 153.0.88.254153.0.88.255254
90153.0.89.0/24153.0.89.1 to 153.0.89.254153.0.89.255254
91153.0.90.0/24153.0.90.1 to 153.0.90.254153.0.90.255254
92153.0.91.0/24153.0.91.1 to 153.0.91.254153.0.91.255254
93153.0.92.0/24153.0.92.1 to 153.0.92.254153.0.92.255254
94153.0.93.0/24153.0.93.1 to 153.0.93.254153.0.93.255254
95153.0.94.0/24153.0.94.1 to 153.0.94.254153.0.94.255254
96153.0.95.0/24153.0.95.1 to 153.0.95.254153.0.95.255254
97153.0.96.0/24153.0.96.1 to 153.0.96.254153.0.96.255254
98153.0.97.0/24153.0.97.1 to 153.0.97.254153.0.97.255254
99153.0.98.0/24153.0.98.1 to 153.0.98.254153.0.98.255254
100153.0.99.0/24153.0.99.1 to 153.0.99.254153.0.99.255254
101153.0.100.0/24153.0.100.1 to 153.0.100.254153.0.100.255254
102153.0.101.0/24153.0.101.1 to 153.0.101.254153.0.101.255254
103153.0.102.0/24153.0.102.1 to 153.0.102.254153.0.102.255254
104153.0.103.0/24153.0.103.1 to 153.0.103.254153.0.103.255254
105153.0.104.0/24153.0.104.1 to 153.0.104.254153.0.104.255254
106153.0.105.0/24153.0.105.1 to 153.0.105.254153.0.105.255254
107153.0.106.0/24153.0.106.1 to 153.0.106.254153.0.106.255254
108153.0.107.0/24153.0.107.1 to 153.0.107.254153.0.107.255254
109153.0.108.0/24153.0.108.1 to 153.0.108.254153.0.108.255254
110153.0.109.0/24153.0.109.1 to 153.0.109.254153.0.109.255254
111153.0.110.0/24153.0.110.1 to 153.0.110.254153.0.110.255254
112153.0.111.0/24153.0.111.1 to 153.0.111.254153.0.111.255254
113153.0.112.0/24153.0.112.1 to 153.0.112.254153.0.112.255254
114153.0.113.0/24153.0.113.1 to 153.0.113.254153.0.113.255254
115153.0.114.0/24153.0.114.1 to 153.0.114.254153.0.114.255254
116153.0.115.0/24153.0.115.1 to 153.0.115.254153.0.115.255254
117153.0.116.0/24153.0.116.1 to 153.0.116.254153.0.116.255254
118153.0.117.0/24153.0.117.1 to 153.0.117.254153.0.117.255254
119153.0.118.0/24153.0.118.1 to 153.0.118.254153.0.118.255254
120153.0.119.0/24153.0.119.1 to 153.0.119.254153.0.119.255254
121153.0.120.0/24153.0.120.1 to 153.0.120.254153.0.120.255254
122153.0.121.0/24153.0.121.1 to 153.0.121.254153.0.121.255254
123153.0.122.0/24153.0.122.1 to 153.0.122.254153.0.122.255254
124153.0.123.0/24153.0.123.1 to 153.0.123.254153.0.123.255254
125153.0.124.0/24153.0.124.1 to 153.0.124.254153.0.124.255254
126153.0.125.0/24153.0.125.1 to 153.0.125.254153.0.125.255254
127153.0.126.0/24153.0.126.1 to 153.0.126.254153.0.126.255254
128153.0.127.0/24153.0.127.1 to 153.0.127.254153.0.127.255254
129153.0.128.0/24153.0.128.1 to 153.0.128.254153.0.128.255254
130153.0.129.0/24153.0.129.1 to 153.0.129.254153.0.129.255254
131153.0.130.0/24153.0.130.1 to 153.0.130.254153.0.130.255254
132153.0.131.0/24153.0.131.1 to 153.0.131.254153.0.131.255254
133153.0.132.0/24153.0.132.1 to 153.0.132.254153.0.132.255254
134153.0.133.0/24153.0.133.1 to 153.0.133.254153.0.133.255254
135153.0.134.0/24153.0.134.1 to 153.0.134.254153.0.134.255254
136153.0.135.0/24153.0.135.1 to 153.0.135.254153.0.135.255254
137153.0.136.0/24153.0.136.1 to 153.0.136.254153.0.136.255254
138153.0.137.0/24153.0.137.1 to 153.0.137.254153.0.137.255254
139153.0.138.0/24153.0.138.1 to 153.0.138.254153.0.138.255254
140153.0.139.0/24153.0.139.1 to 153.0.139.254153.0.139.255254
141153.0.140.0/24153.0.140.1 to 153.0.140.254153.0.140.255254
142153.0.141.0/24153.0.141.1 to 153.0.141.254153.0.141.255254
143153.0.142.0/24153.0.142.1 to 153.0.142.254153.0.142.255254
144153.0.143.0/24153.0.143.1 to 153.0.143.254153.0.143.255254
145153.0.144.0/24153.0.144.1 to 153.0.144.254153.0.144.255254
146153.0.145.0/24153.0.145.1 to 153.0.145.254153.0.145.255254
147153.0.146.0/24153.0.146.1 to 153.0.146.254153.0.146.255254
148153.0.147.0/24153.0.147.1 to 153.0.147.254153.0.147.255254
149153.0.148.0/24153.0.148.1 to 153.0.148.254153.0.148.255254
150153.0.149.0/24153.0.149.1 to 153.0.149.254153.0.149.255254
151153.0.150.0/24153.0.150.1 to 153.0.150.254153.0.150.255254
152153.0.151.0/24153.0.151.1 to 153.0.151.254153.0.151.255254
153153.0.152.0/24153.0.152.1 to 153.0.152.254153.0.152.255254
154153.0.153.0/24153.0.153.1 to 153.0.153.254153.0.153.255254
155153.0.154.0/24153.0.154.1 to 153.0.154.254153.0.154.255254
156153.0.155.0/24153.0.155.1 to 153.0.155.254153.0.155.255254
157153.0.156.0/24153.0.156.1 to 153.0.156.254153.0.156.255254
158153.0.157.0/24153.0.157.1 to 153.0.157.254153.0.157.255254
159153.0.158.0/24153.0.158.1 to 153.0.158.254153.0.158.255254
160153.0.159.0/24153.0.159.1 to 153.0.159.254153.0.159.255254
161153.0.160.0/24153.0.160.1 to 153.0.160.254153.0.160.255254
162153.0.161.0/24153.0.161.1 to 153.0.161.254153.0.161.255254
163153.0.162.0/24153.0.162.1 to 153.0.162.254153.0.162.255254
164153.0.163.0/24153.0.163.1 to 153.0.163.254153.0.163.255254
165153.0.164.0/24153.0.164.1 to 153.0.164.254153.0.164.255254
166153.0.165.0/24153.0.165.1 to 153.0.165.254153.0.165.255254
167153.0.166.0/24153.0.166.1 to 153.0.166.254153.0.166.255254
168153.0.167.0/24153.0.167.1 to 153.0.167.254153.0.167.255254
169153.0.168.0/24153.0.168.1 to 153.0.168.254153.0.168.255254
170153.0.169.0/24153.0.169.1 to 153.0.169.254153.0.169.255254
171153.0.170.0/24153.0.170.1 to 153.0.170.254153.0.170.255254
172153.0.171.0/24153.0.171.1 to 153.0.171.254153.0.171.255254
173153.0.172.0/24153.0.172.1 to 153.0.172.254153.0.172.255254
174153.0.173.0/24153.0.173.1 to 153.0.173.254153.0.173.255254
175153.0.174.0/24153.0.174.1 to 153.0.174.254153.0.174.255254
176153.0.175.0/24153.0.175.1 to 153.0.175.254153.0.175.255254
177153.0.176.0/24153.0.176.1 to 153.0.176.254153.0.176.255254
178153.0.177.0/24153.0.177.1 to 153.0.177.254153.0.177.255254
179153.0.178.0/24153.0.178.1 to 153.0.178.254153.0.178.255254
180153.0.179.0/24153.0.179.1 to 153.0.179.254153.0.179.255254
181153.0.180.0/24153.0.180.1 to 153.0.180.254153.0.180.255254
182153.0.181.0/24153.0.181.1 to 153.0.181.254153.0.181.255254
183153.0.182.0/24153.0.182.1 to 153.0.182.254153.0.182.255254
184153.0.183.0/24153.0.183.1 to 153.0.183.254153.0.183.255254
185153.0.184.0/24153.0.184.1 to 153.0.184.254153.0.184.255254
186153.0.185.0/24153.0.185.1 to 153.0.185.254153.0.185.255254
187153.0.186.0/24153.0.186.1 to 153.0.186.254153.0.186.255254
188153.0.187.0/24153.0.187.1 to 153.0.187.254153.0.187.255254
189153.0.188.0/24153.0.188.1 to 153.0.188.254153.0.188.255254
190153.0.189.0/24153.0.189.1 to 153.0.189.254153.0.189.255254
191153.0.190.0/24153.0.190.1 to 153.0.190.254153.0.190.255254
192153.0.191.0/24153.0.191.1 to 153.0.191.254153.0.191.255254
193153.0.192.0/24153.0.192.1 to 153.0.192.254153.0.192.255254
194153.0.193.0/24153.0.193.1 to 153.0.193.254153.0.193.255254
195153.0.194.0/24153.0.194.1 to 153.0.194.254153.0.194.255254
196153.0.195.0/24153.0.195.1 to 153.0.195.254153.0.195.255254
197153.0.196.0/24153.0.196.1 to 153.0.196.254153.0.196.255254
198153.0.197.0/24153.0.197.1 to 153.0.197.254153.0.197.255254
199153.0.198.0/24153.0.198.1 to 153.0.198.254153.0.198.255254
200153.0.199.0/24153.0.199.1 to 153.0.199.254153.0.199.255254
201153.0.200.0/24153.0.200.1 to 153.0.200.254153.0.200.255254
202153.0.201.0/24153.0.201.1 to 153.0.201.254153.0.201.255254
203153.0.202.0/24153.0.202.1 to 153.0.202.254153.0.202.255254
204153.0.203.0/24153.0.203.1 to 153.0.203.254153.0.203.255254
205153.0.204.0/24153.0.204.1 to 153.0.204.254153.0.204.255254
206153.0.205.0/24153.0.205.1 to 153.0.205.254153.0.205.255254
207153.0.206.0/24153.0.206.1 to 153.0.206.254153.0.206.255254
208153.0.207.0/24153.0.207.1 to 153.0.207.254153.0.207.255254
209153.0.208.0/24153.0.208.1 to 153.0.208.254153.0.208.255254
210153.0.209.0/24153.0.209.1 to 153.0.209.254153.0.209.255254
211153.0.210.0/24153.0.210.1 to 153.0.210.254153.0.210.255254
212153.0.211.0/24153.0.211.1 to 153.0.211.254153.0.211.255254
213153.0.212.0/24153.0.212.1 to 153.0.212.254153.0.212.255254
214153.0.213.0/24153.0.213.1 to 153.0.213.254153.0.213.255254
215153.0.214.0/24153.0.214.1 to 153.0.214.254153.0.214.255254
216153.0.215.0/24153.0.215.1 to 153.0.215.254153.0.215.255254
217153.0.216.0/24153.0.216.1 to 153.0.216.254153.0.216.255254
218153.0.217.0/24153.0.217.1 to 153.0.217.254153.0.217.255254
219153.0.218.0/24153.0.218.1 to 153.0.218.254153.0.218.255254
220153.0.219.0/24153.0.219.1 to 153.0.219.254153.0.219.255254
221153.0.220.0/24153.0.220.1 to 153.0.220.254153.0.220.255254
222153.0.221.0/24153.0.221.1 to 153.0.221.254153.0.221.255254
223153.0.222.0/24153.0.222.1 to 153.0.222.254153.0.222.255254
224153.0.223.0/24153.0.223.1 to 153.0.223.254153.0.223.255254
225153.0.224.0/24153.0.224.1 to 153.0.224.254153.0.224.255254
226153.0.225.0/24153.0.225.1 to 153.0.225.254153.0.225.255254
227153.0.226.0/24153.0.226.1 to 153.0.226.254153.0.226.255254
228153.0.227.0/24153.0.227.1 to 153.0.227.254153.0.227.255254
229153.0.228.0/24153.0.228.1 to 153.0.228.254153.0.228.255254
230153.0.229.0/24153.0.229.1 to 153.0.229.254153.0.229.255254
231153.0.230.0/24153.0.230.1 to 153.0.230.254153.0.230.255254
232153.0.231.0/24153.0.231.1 to 153.0.231.254153.0.231.255254
233153.0.232.0/24153.0.232.1 to 153.0.232.254153.0.232.255254
234153.0.233.0/24153.0.233.1 to 153.0.233.254153.0.233.255254
235153.0.234.0/24153.0.234.1 to 153.0.234.254153.0.234.255254
236153.0.235.0/24153.0.235.1 to 153.0.235.254153.0.235.255254
237153.0.236.0/24153.0.236.1 to 153.0.236.254153.0.236.255254
238153.0.237.0/24153.0.237.1 to 153.0.237.254153.0.237.255254
239153.0.238.0/24153.0.238.1 to 153.0.238.254153.0.238.255254
240153.0.239.0/24153.0.239.1 to 153.0.239.254153.0.239.255254
241153.0.240.0/24153.0.240.1 to 153.0.240.254153.0.240.255254
242153.0.241.0/24153.0.241.1 to 153.0.241.254153.0.241.255254
243153.0.242.0/24153.0.242.1 to 153.0.242.254153.0.242.255254
244153.0.243.0/24153.0.243.1 to 153.0.243.254153.0.243.255254
245153.0.244.0/24153.0.244.1 to 153.0.244.254153.0.244.255254
246153.0.245.0/24153.0.245.1 to 153.0.245.254153.0.245.255254
247153.0.246.0/24153.0.246.1 to 153.0.246.254153.0.246.255254
248153.0.247.0/24153.0.247.1 to 153.0.247.254153.0.247.255254
249153.0.248.0/24153.0.248.1 to 153.0.248.254153.0.248.255254
250153.0.249.0/24153.0.249.1 to 153.0.249.254153.0.249.255254
251153.0.250.0/24153.0.250.1 to 153.0.250.254153.0.250.255254
252153.0.251.0/24153.0.251.1 to 153.0.251.254153.0.251.255254
253153.0.252.0/24153.0.252.1 to 153.0.252.254153.0.252.255254
254153.0.253.0/24153.0.253.1 to 153.0.253.254153.0.253.255254
255153.0.254.0/24153.0.254.1 to 153.0.254.254153.0.254.255254
256153.0.255.0/24153.0.255.1 to 153.0.255.254153.0.255.255254

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses